----------------------------
-- This SQL will generate a list of commands, suitable for cut and paste, that will produce 
-- all of the execution plans that are stored in the AWR for a given SQL_ID.
----------------------------
set pagesize 9999 linesize 250 trimsp on verify off
select distinct
  '/* '||rpad(p.object_owner,8)||'  '||p.timestamp||' cost='||
   to_char((select c.cost from dba_hist_sql_plan c
    where p.dbid=c.dbid and p.sql_id=c.sql_id
    and p.plan_hash_value=c.plan_hash_value and c.id=0),'9999999')||' */ '||
  'select * from table(DBMS_XPLAN.DISPLAY_AWR('''||p.sql_id||''','''||p.plan_hash_value||''','''||p.dbid||''',''TYPICAL''));' cmd
from dba_hist_sql_plan p
where p.sql_id in ('&sql_id')
and p.object_owner is not null
order by 1
/
