----------------------------
-- This SQL will generate a list of commands, suitable for cut and paste, that will produce 
-- all of the execution plans that have SQL PLAN BASELINES for a given SQL_ID.
----------------------------
set pagesize 9999 linesize 250 trimsp on verify off
select distinct
  '/* '||rpad(p.parsing_schema_name,8)||'  '||p.created||' cost='||
  to_char(p.optimizer_cost,'9999999')||
  '  enabled='||p.enabled||'  accepted='||p.accepted||'  fixed='||p.fixed||' */ '||chr(10)||
  'select * from table(DBMS_XPLAN.DISPLAY_SQL_PLAN_BASELINE('''||p.sql_handle||''','''||p.plan_name||''',''TYPICAL''));' cmd
from dba_sql_plan_baselines p
order by 1
/
