----------------------------
-- This SQL will generate a list of commands, suitable for cut and paste, that will produce 
-- all of the execution plans that are in the SGA for a given SQL_ID.
----------------------------
set pagesize 9999 linesize 250 trimsp on verify off
select distinct 
  '/* '||rpad(s.parsing_schema_name,8)||'  '||p.timestamp||' cost='||p.cost||' plan_hash_value='||p.plan_hash_value||' */ '||
  'select * from table(DBMS_XPLAN.DISPLAY_CURSOR('''||p.sql_id||''','''||p.child_number||''',''TYPICAL'')) ;' cmd 
from v$sql_plan p, v$sql s
where p.sql_id in ('&sql_id')
and s.sql_id=p.sql_id
and s.plan_hash_value=p.plan_hash_value
and p.id=0
/
