---------------
-- This function will unpack a CLOB and return a varchar2. 
-- The second parameter sets a maximum length for the returned varchar2.
---------------
create or replace FUNCTION unpack_clob(c_buf clob,in_len number)
  return  varchar2
is
  result  varchar2(32000);
  v_buf   varchar2(32000);
  len     number;
begin
  len := DBMS_LOB.GETLENGTH(c_buf);
  if (len = 0 or len is null) then
    result := '';
  else
    -- update len to only read as much as user asked for
    if (in_len < len) then
      len := in_len;
    end if;
    DBMS_LOB.READ(c_buf,len,1,v_buf);
    -- gotta check len again because DBMS_LOB.READ updates it to actual bytes read
    if (in_len < len) then
      len := in_len;
    end if;
    result := substr(translate(v_buf,chr(13)||chr(10),'  '),1,len);
  end if;
  return result;
end;
/
